在VB中怎么调用AutoCAD

2024-11-20 16:47:59
推荐回答(1个)
回答1:

二话不说直接上代码,只是不知道你想要做什么,代码仅供参考

On Error Resume Next
  Set myAcadApp = GetObject(, "Autocad.Application") '检查AutoCAD是否已经打开
  If Err <皮租此> 0 Then '没有打开
    Err.Clear
    Set myAcadApp = CreateObject("Autocad.Application") '打型正开CAD
    If Err Then
      MsgBox Err.Number & ":" & Err.Description '打开失败
      Exit Sub
    End If
  End If
  On Error GoTo prcERR
  myAcadApp.Visible = True '显示CAD
  Set activeDoc = myAcadApp.ActiveDocument
  Dim startPoint(0 To 2) As Double
  Dim endPoint(0 To 2) As Double
  Dim LineObj As AcadLine'如果画图时出错,改为Dim LineObj As Object
  startPoint(0) = 0: startPoint(1) = 0: startPoint(2) = 0
  endPoint(0) = 30: endPoint(1) = 20: 燃迅endPoint(2) = 0
  Set LineObj = activeDoc.ModelSpace.AddLine(startPoint, endPoint) '画线
 
prcExit:
  Set activeDoc = Nothing
  Set myAcadApp = Nothing
  Exit Sub
prcERR:
  MsgBox Err.Number & ":" & Err.Description, vbCritical, "错误"
  Resume prcExit
End Sub